com.thetransactioncompany.jsonrpc2

## Enum JSONRPC2ParamsType

- java.lang.Object
- - java.lang.Enum<JSONRPC2ParamsType>
  - - com.thetransactioncompany.jsonrpc2.JSONRPC2ParamsType

- All Implemented Interfaces:
    Serializable, Comparable<JSONRPC2ParamsType>

      public enum JSONRPC2ParamsType
      extends Enum<JSONRPC2ParamsType>

  Enumeration of the three parameter types in JSON-RPC 2.0 requests and notifications.
  - `NO_PARAMS` The method takes no parameters.
  - `ARRAY` The method takes positional parameters, packed as a JSON array, e.g. `["val1", "val2", ...]`.
  - `OBJECT` The method takes named parameters, packed as a JSON object, e.g. `{"param1":"val1", "param2":"val2", ...}`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY` Positional parameters, packed as a JSON array.
    `NO_PARAMS` No parameters.
    `OBJECT` Named parameters, packed as a JSON object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSONRPC2ParamsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JSONRPC2ParamsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final JSONRPC2ParamsType ARRAY

      Positional parameters, packed as a JSON array.

    - #### NO_PARAMS

          public static final JSONRPC2ParamsType NO_PARAMS

      No parameters.

    - #### OBJECT

          public static final JSONRPC2ParamsType OBJECT

      Named parameters, packed as a JSON object.

  - ### Method Detail

    - #### valueOf

          public static JSONRPC2ParamsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static JSONRPC2ParamsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JSONRPC2ParamsType c : JSONRPC2ParamsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared